# $Revision: 1.53 $, $Date: 2002/05/21 23:12:39 $
Summary:	An ASCII art GFX library
Summary(fr):	Bibliothque AA (Ascii Art)
Summary(es):	Biblioteca ASCII art
Summary(pl):	Biblioteka graficzna ASCII Art
Summary(pt_BR):	Uma biblioteca para ASCII art
Summary(ru):	   (ASCII Art)
Summary(uk):	̦ ϧ Ʀ (ASCII Art)
Name:		aalib
Version:	1.4rc5
Release:	7
License:	LGPL
Group:		Libraries
Source0:	ftp://download.sourceforge.net/pub/sourceforge/aa-project/%{name}-%{version}.tar.gz
Source1:	%{name}-config.1
Patch0:		%{name}-info.patch
Patch1:		%{name}-debian_man.patch
URL:		http://aa-project.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gpm-devel
BuildRequires:	libtool
BuildRequires:	slang-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device.
In fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!

%description -l es
Biblioteca ASCII art.

%description -l fr
La bibliothque AA est ncessaire pour GIMP. Elle offre la possibilit
de travailler dans des contextes graphiques sans affichage.

%description -l pl
AA-lib jest niskopoziomow bibliotek graficzn podobnie jak wiele
innych bibliotek. Gwna rnica pomidzy nimi jest taka, e AA-lib
nie wymaga trybu graficznego. Waciwie nie ma moliwoci wywietlenia
czego w trybie graficznym. AA-lib zastpuje te staromodne metody
wysoko wydajnym narzdziem do renderowania ascii-art. Teraz mj Linux
startuje z adnym logo pingwina na drugim monitorze. AA-lib API jest
zaprojektowane tak by by podobnym do innych graficznych bibliotek.
Nauka nowego API bdzie buk z masem!

%description -l pt_BR
Uma biblioteca para trabalhar com ASCII art.

%description -l ru
AA-lib -    .  
      ,  AA-lib  
 .   ,  (  
 )   . AA-lib    
 ASCII-Art.

%description -l uk
AA-lib -  Ҧ Ʀ ¦̦.  צͦΦ 
צ  Ʀ ¦̦  ,  AA-lib  դ Ʀ
. Ħ, Ʀ (  ͦΦ  )
צ  . AA-lib  Ʀ    ASCII-Art.


%package devel
Summary:	Header files and libraries for aalib
Summary(pl):	Pliki nagwkowe dla aalib
Summary(ru):	     AAlib
Summary(uk):	     AAlib
Group:		Libraries
Requires:	%{name} = %{version}
Requires:	slang-devel
Requires:	gpm-devel
Requires:	XFree86-devel

%description devel
The header files for development of programs using the AAlib.

%description devel -l pl
Pliki nagwkowe do pisania programw uywajcych AAlib.

%description devel -l ru
     AAlib.

%description devel -l uk
     AAlib.

%package static
Summary:	Static aalib library
Summary(pl):	Statyczna biblioteka aalib
Summary(ru):	      aalib
Summary(uk):	 ¦̦     aalib
Group:		Libraries
Requires:	%{name}-devel = %{version}

%description static
Static aalib library.

%description static -l pl
Statyczna biblioteka aalib.

%description static -l ru
     aalib.

%description static -l uk
 ¦̦    aalib.

%package progs
Summary:	AA-lib tools
Summary(pl):	Narzdzia AA-lib
Summary(ru):	  AA-lib
Summary(uk):	̦  AA-lib
Group:		Applications/Terminal
Requires:	%{name} = %{version}

%description progs
AA-lib tools.

%description progs -l pl
Narzdzia AA-lib.

%description progs -l ru
  AA-lib.

%description progs -l uk
̦  AA-lib.

%prep
%setup -q -n %{name}-1.4.0
%patch0 -p1
%patch1 -p1

%build
libtoolize --copy --force
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/aalib-config.1

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc README NEWS AUTHORS ANNOUNCE ChangeLog
%attr(755,root,root) %{_bindir}/aalib-config
%{_mandir}/man1/aalib-config.1*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*.h
%{_infodir}/*.info*
%{_mandir}/man3/*
%{_aclocaldir}/*.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aafire
%attr(755,root,root) %{_bindir}/aainfo
%attr(755,root,root) %{_bindir}/aasavefont
%attr(755,root,root) %{_bindir}/aatest
%{_mandir}/man1/aafire.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: aalib.spec,v $
Revision 1.53  2002/05/21 23:12:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.52  2002/05/21 14:08:01  qboosh
- removed aalib-config(1) manual from -progs; new %%doc; release 7

Revision 1.51  2002/04/25 15:40:55  arturs
fixed a small typo

Revision 1.50  2002/04/19 23:01:19  ankry
- added aalib-config.1 man page + man patch from Debian
- release 6, STBR

Revision 1.49  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.48  2002/02/22 23:28:39  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.47  2002/02/12 23:15:13  ankry
- added ru/uk translations from KSI; adapterized
- release 5

Revision 1.46  2002/01/18 02:12:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.45  2001/12/14 00:43:45  kloczek
- release 4: merge translations from Conectiva.

Revision 1.44  2001/12/13 21:36:44  qboosh
- adapterized, cosmetics

Revision 1.43  2001/12/11 12:09:52  wrobell
- fixed devel subpackage requirements
- rel. 3, stb

Revision 1.42  2001/07/26 05:42:03  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.40  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.39  2001/07/15 12:02:12  kloczek
- release 2,
- make spec ac 2.50 ready,
- also rebuild for generate dependeces for gpm-lib.

Revision 1.38  2001/06/03 14:09:08  qboosh
- updated to 1.4rc5, updated URLs
- removed obsolete xref and autoconf patches

Revision 1.37  2001/01/19 01:23:18  kloczek
- release 15,
- regenerate all automake/autoconf/libtool files in %build for correct
  building

Revision 1.36  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.35  2000/07/30 08:52:33  kloczek
- spec adapterized.

Revision 1.34  2000/06/13 05:13:23  kloczek
- release 14.

Revision 1.33  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.32  2000/06/09 07:22:46  kloczek
- added using %%{__make} macro.

Revision 1.31  2000/05/24 16:50:44  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.30  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.29  2000/05/15 23:05:50  kloczek
- release 13,
- spec adapterized.

Revision 1.28  2000/05/01 20:11:39  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.27  2000/04/01 11:14:22  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.26  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.25  1999/11/17 01:45:50  kloczek
- release 12,
- rebuilded against new gpm which is linked with ncurses 5.0.

Revision 1.24  1999/11/15 01:21:41  kura
- cosmetic

Revision 1.23  1999/09/24 18:12:06  kloczek
- added fr translation from Mandrake spec.

Revision 1.22  1999/09/24 10:45:01  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.21  1999/09/19 09:05:39  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.20  1999/08/03 22:42:49  kloczek
- release 10,
- added lib*.la files to devel,
- changed permission on lib*.so to 755.

Revision 1.19  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.18  1999/07/12 23:05:52  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Jun 30 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2-9]
- based on RH spec,
- spec rewrited by PLD team,
- pl translation Arkadiusz Mikiewicz <misiek@misiek.eu.org>
